# dirInfo_s Struct Reference
[RPMDEP.]

A directory to be installed/removed. More...

`#include <depends.h>`

## Data Fields

const char * | dirName
int | dirNameLen
fileIndexEntry * | files
int | numFiles

## Detailed Description

A directory to be installed/removed.

Definition at line 98 of file depends.h.

## Field Documentation

const char* dirInfo_s::dirName

Directory path (+ trailing '/').

Definition at line 99 of file depends.h.

Referenced by alAllFileSatisfiesDepend(), and dirInfoCompare().

int dirInfo_s::dirNameLen

No. bytes in directory path.

Definition at line 100 of file depends.h.

Referenced by alAllFileSatisfiesDepend(), and dirInfoCompare().

struct fileIndexEntry* dirInfo_s::files

Array of files in directory.

Definition at line 101 of file depends.h.

int dirInfo_s::numFiles

No. files in directory.

Definition at line 102 of file depends.h.

The documentation for this struct was generated from the following file:

- lib/depends.h